"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ora = require("ora");
const ssh_spawner_1 = require("../spawner/ssh-spawner");
const echo_1 = require("../util/echo");
async function createTargetDirectoryComponent(props) {
    const spinner = ora('Create target directory').start();
    let writable = false;
    try {
        const spawner = ssh_spawner_1.SshSpawner({
            targetHostname: props.targetHostname,
            targetPath: props.targetPath,
        });
        await spawner.mkdirp();
        writable = true;
        spinner.succeed();
    }
    catch (ex) {
        spinner.fail();
        if (ex.message) {
            echo_1.echo(ex.message);
        }
    }
    return writable;
}
exports.createTargetDirectoryComponent = createTargetDirectoryComponent;
//# sourceMappingURL=create-target-directory-component.js.map