"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ora = require("ora");
const app_config_file_1 = require("../util/app-config-file");
const prompt_1 = require("../util/prompt");
const alwayscli_1 = require("@alwaysai/alwayscli");
async function writeAppConfigFileComponent(props) {
    if (!app_config_file_1.appConfigFile.exists()) {
        let confirmed = true;
        if (!props.yes) {
            const answers = await prompt_1.prompt([
                {
                    type: 'confirm',
                    name: 'confirmed',
                    message: 'Do you want to initialize your current working directory as an alwaysAI application?',
                    initial: true,
                },
            ]);
            ({ confirmed } = answers);
        }
        if (!confirmed) {
            throw new alwayscli_1.TerseError('This directory is not an alwaysAI application');
        }
        ora(`Write ${app_config_file_1.APP_CONFIG_FILE_NAME}`).succeed();
        app_config_file_1.appConfigFile.initialize();
    }
    else {
        ora(`Found ${app_config_file_1.APP_CONFIG_FILE_NAME}`).succeed();
    }
}
exports.writeAppConfigFileComponent = writeAppConfigFileComponent;
//# sourceMappingURL=write-app-config-file-component.js.map