"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const os_1 = require("os");
exports.CLI_NAME = 'alwaysai';
exports.PACKAGE_DIR = path_1.resolve(__dirname, '..');
exports.DOT_ALWAYSAI_DIR = path_1.join(os_1.homedir(), '.alwaysai');
exports.MODEL_PACKAGE_CACHE_DIR = path_1.join(exports.DOT_ALWAYSAI_DIR, 'model-package-cache');
exports.LOCAL_MODEL_VERSION_PACKAGE_NUMBER = 0;
exports.APP_DOT_PY = 'app.py';
exports.DOCKERFILE = 'Dockerfile';
exports.DOCKER_HUB_EDGEIQ_REPOSITORY_NAME = 'alwaysai/edgeiq';
exports.DOCKER_FALLBACK_TAG_NAME = 'latest';
exports.DOT_SSH_DIR = path_1.join(os_1.homedir(), '.ssh');
exports.PRIVATE_KEY_FILE_NAME = 'alwaysai.id_rsa';
exports.PRIVATE_KEY_FILE_PATH = path_1.join(exports.DOT_SSH_DIR, exports.PRIVATE_KEY_FILE_NAME);
exports.PRIVATE_KEY_FILE_PRETTY_PATH = `~/.ssh/${exports.PRIVATE_KEY_FILE_NAME}`;
exports.PUBLIC_KEY_FILE_PATH = `${exports.PRIVATE_KEY_FILE_PATH}.pub`;
exports.PUBLIC_KEY_FILE_PRETTY_PATH = `${exports.PRIVATE_KEY_FILE_PRETTY_PATH}.pub`;
// From https://stackoverflow.com/questions/46155/how-to-validate-an-email-address-in-javascript
exports.VALID_EMAIL_REGULAR_EXPRESSION = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
//# sourceMappingURL=constants.js.map